# Create a Label from a Shipment If you've already [created a shipment](/apis/shipengine/docs/shipping/create-a-shipment), you can create a label using just the `shipment_id`. Using a `shipment_id` to create a label is the quickest way to create a label after you've successfully planned your shipment. You can also specify the [label format, size](/apis/shipengine/docs/labels/formats), and [download type](/apis/shipengine/docs/labels/downloading) to modify the way your label is formatted. You'll simply provide these properties in the body of your request. ## Example Request & Response **POST v1/labels/shipment/:shipment_id** Similar to the example in [Create a Shipping Label](/apis/shipengine/docs/labels/create-a-label), this example will request a label using the **USPS** services included with your account. (USPS services are included with US-based ShipStation API accounts. For accounts based in other countries, you can switch to the sandbox to follow along with this tutorial, as Stamps.com USPS services are part of the sandbox for all accounts.) ```http POST /v1/labels/shipment/se-2128732 HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "label_format":"pdf", "label_layout": "4x6", "label_download_type": "url" } ``` **Response** ```json { "label_id": "se-test-2128732", "status": "completed", "shipment_id": "se-2128732", "ship_date": "2019-07-25T05:00:00.000Z", "created_at": "2019-07-25T18:43:15.038Z", "shipment_cost": { "currency": "usd", "amount": 0.0 }, "insurance_cost": { "currency": "usd", "amount": 0.0 }, "tracking_number": "9999999999999", "is_return_label": false, "is_international": false, "batch_id": "", "carrier_id": "se-0", "service_code": "usps_priority_mail", "package_code": "package", "voided": false, "voided_at": null, "label_format": "pdf", "label_layout": "4x6", "trackable": false, "carrier_code": "stamps_com", "tracking_status": "unknown", "label_download": { "pdf": "https://api.shipengine.com/v1/downloads/1/s_Tqsu9euEKub6Acc_9UIg/testlabel-2128732.pdf", "png": "https://api.shipengine.com/v1/downloads/1/s_Tqsu9euEKub6Acc_9UIg/testlabel-2128732.png", "zpl": "https://api.shipengine.com/v1/downloads/1/s_Tqsu9euEKub6Acc_9UIg/testlabel-2128732.zpl", "href": "https://api.shipengine.com/v1/downloads/1/s_Tqsu9euEKub6Acc_9UIg/testlabel-2128732.pdf" }, "form_download": null, "insurance_claim": null } ``` And that's it! The label is available for download using any of the `label_download` URLs provided in the response.